Create Tier
curl --request POST \
--url https://api.sellauth.com/v1/shops/{shopId}/reseller-tiers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Gold",
"discount_percentage": 10,
"is_public": null,
"sort_order": 24,
"min_spent_usd": 500,
"min_sales_count": 50,
"image_id": 1
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/reseller-tiers"
payload = {
"name": "Gold",
"discount_percentage": 10,
"is_public": None,
"sort_order": 24,
"min_spent_usd": 500,
"min_sales_count": 50,
"image_id": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Gold',
discount_percentage: 10,
is_public: null,
sort_order: 24,
min_spent_usd: 500,
min_sales_count: 50,
image_id: 1
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/reseller-tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Reseller Tiers
Create Tier
POST
/
v1
/
shops
/
{shopId}
/
reseller-tiers
Create Tier
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
application/json
The tier name.
Example:
"Gold"
Discount resellers on this tier get on reseller orders.
Example:
10
Public tiers are shown on the storefront reseller page.
Example:
null
Must be at least 0. Must not be greater than 1000.
Example:
24
Auto-advancement threshold: lifetime reseller spend in USD. Null disables this threshold.
Example:
500
Auto-advancement threshold: lifetime completed reseller orders. Null disables this threshold.
Example:
50
Optional image shown alongside the tier on the storefront.
Example:
1
Response
200 - undefined